{% load mptt_tags %}{% load static %}

{% block osvald_nav_menu %}
    <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand"
               href="{% block sb_admin_header_url %}{% url "mereni" %}{% endblock sb_admin_header_url %}"><img
                    class="osvald-nav-logo" src="{% static "image/osvald-logo-color.png" %}" alt="logo OSVALD">
                <div class="head-name">{% block sb_admin_header %}OSVALD{% endblock sb_admin_header %}</div>
            </a>
            <!--<a class="navbar-brand" href="#"><img class="osvald-nav-logo" src="{% static "image/osvald-logo-color.png"%}" alt=""><div class="head-name">OSVALD</div></a> -->
        </div>

        <ul class="nav navbar-nav">
            <li {% if nav_active == "dashboard" %}class="active"{% endif %}>
                <a href="{% url "mereni" %}"><i class="fa fa-fw fa-dashboard"></i>Aktivity</a>
            </li>
            <li><a href="/user/{{ user.username }}"><i class="fa fa-fw fa-bar-chart"></i>Můj výstup</a></li>


            {% include 'osvald/components/dropdown.html' %}

            <li><a href="/collections"><i class="fa fa-fw fa-money"></i>Collections</a></li>
            {% if user.is_superuser %}
                <li><a href="/admin"><i class="fa fa-fw fa-cogs"></i>Administrace</a></li>
            {% endif %}

        </ul>


        {% block sb_admin_navbar_right %}
            <ul class="nav navbar-right top-nav">
            {% if active|first is not None  %}
                        {% for active_metadata in active %}
                            <li class="running-activity-top"><a href="#"><img src="{% static "image/rec.gif" %}"> Běžící aktivita: <span class="running-activity-top-name">{{ active_metadata.template.name }}</span> ( <span class="running-activity-top-time">00:00:00 </span> )</a> </li>
                          {% endfor %}
            {% endif %}
                {% if request.resolver_match.url_name == "mereni" %}
                    <li class="dropdown" id="team-selector">
                        <a href="?next=/" class="dropdown-toggle" data-toggle="dropdown"><i
                                class="fa fa-sitemap"></i> Aktivní tým<b class="caret"></b></a>
                        <ul class="dropdown-menu alert-dropdown">

                            {% if teams|length > 0 %}

                                {% for team in teams.teams %}
                                    <li class="li-team-selector">
                                        <a href="/?active_team={{ team.id }}&next=mereni"
                                           team-id="{{ team.id }}">

                                            {{ team.name }}
                                        {% if teams.primary_team == team.id %}
                                                <span class="label label-default label-team">
                                            primární</span>
                                            {% endif %}
                                            {% if teams.selected_team == team.id  %}
                                                <i class="fa fa-check check-team"></i>{% else %}
                                                <i class="fa fa-none"></i>{% endif %}
                                            </a>
                                    </li>
                                {% endfor %}
                            {% endif %}

                        </ul>
                    </li>
                {% endif %}
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i>
                        {% if user.username %}{{ user.username }}{% else %}nepřihlášen{% endif %} <b class="caret"></b></a>
                    <ul class="dropdown-menu">
                        <li>
                            <a href="/logout"><i class="fa fa-fw fa-power-off"></i> Odhlásit</a>
                        </li>
                    </ul>
                </li>
            </ul>{% endblock sb_admin_navbar_right %}
    </nav>

{% endblock osvald_nav_menu %}

